Subject: bug#54698: non-recursive GC marking [PATCH]

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 08 Apr 2022 14:07:44 +0200

Po Lu <[email-masked]> writes:

> They will either get killed by the out-of-memory killer when overcommit
> is on, or they will abort (or crash) on failed malloc.  IME all except
> for some special niche programs work with overcommit off.

Users will see mysterious segfaults that they didn't see before
throughout the system.  Using the default settings (which, after all,
almost everybody does), you can ask the system for virtually infinite
amounts of memory, and the system will say "OK", and if you only use a
tiny bit of that, everything will be fine.

With your recommended settings, programs like that will segfault
instead.

It's the height of hubris as Emacs developers to recommend OS-wide
settings on something like this, and it makes us look like amateurs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no